#include <stdio.h>
#include <math.h>

int  terms = 1000;
volatile float es;

float euler_term(term)
{
	float val;
	val = 1.0 / ((float)term * (float)term);
	return(val);
}

float euler_series(int terms)
{
	float result = 0;
	int term;
	for (term = 1; term <= terms; term++)
	{
		result += euler_term(term);
	}
	return(result);
}

int main (int arc, char* argv[])
{
	es = euler_series(terms);

#ifdef PRINTING
	printf ("The first %d terms of the Euler series sum to %f\n", terms, es);
#endif
	return (0);
}

